<?php
/*
+---------------------------------------------------------------+
|       e107 website system imagegallery plugin
|       e107_plugins/imagegallery_random_menu/imagegallery_random_menu.php
|
|        Mark Pustjens 2003
|       http://unkie.org
|       mark@unkie.org
|
|       Released under the terms and conditions of the
|       GNU General Public License (http://gnu.org).    
+---------------------------------------------------------------+
*/

require_once(e_PLUGIN."imagegallery/functions.php");

@include("languages/imagegallery_random_menu_".e_LANGUAGE.".php");
@include("languages/imagegallery_random_menu_English.php");

$ig_ranom_menu = new imagegallery_random_menu;

class imagegallery_random_menu {
	var $thumb_width;
	var $thumb_height;
	var $image_count;
	var $images;
	var $categories;
	var $name;

	function imagegallery_random_menu(){
		global $pref;

		$this->thumb_width = $pref['ig_random_width'];
		$this->thumb_height = $pref['ig_random_height'];
		$this->image_count = $pref['ig_random_image_count'];
		$this->categories = explode(',', $pref['ig_random_categories']);
		$this->name = $pref['ig_random_name'];

		$this->get_images();
		$this->render_images();
	}

	/* gets $this_images random images */
	function get_images(){
		global $sql;

		for($i = 0; $i < $this->image_count; $i++){
			$image_count = $sql->db_Count('images', '(*)', 'WHERE img_category='.$this->categories[$i]);
			
			$sql->db_Select('images',
					'img_id AS id, img_thumb AS name, img_width AS width, img_height AS height, img_category AS category',
					'img_category='.$this->categories[$i].' LIMIT '.rand(0, $image_count - 1).',1');
			
			$this->images[$i] = $sql->db_Fetch();
  			$this->images[$i]['mode'] = get_default_mode($this->images[$i]['category'], 'view');
			$this->images[$i]['url'] = get_img_url($this->images[$i]['name'], $this->images[$i]['category']); 
			list($this->images[$i]['width'], $this->images[$i]['height']) = calc_size($this->images[$i]['width'], $this->images[$i]['height'], $this->thumb_width, $this->thumb_height);
		}
	}

	function render_images(){
		global $ns;

		$txt = '';

		foreach($this->images as $image){
			$txt .= $this->render_thumbnail($image);
		}
		
		$ns->tablerender($this->name, $txt);
	}

	function render_thumbnail($image){
		global $PLUGINS_DIRECTORY;

		$txt .= '<table class="fborder" style="padding: 3px; margin-top: 5px;"><tr>
			   <td style="width: '.$this->thumb_width.'px ;height: '.$this->thumb_height.'px; vertical-align: middle; text-align: center; padding: 1px;">
			     <a title="'.$image['name'].' ('.IGRA_012.')" href="'.SITEURL.$PLUGINS_DIRECTORY.'imagegallery/view.php?'.$image['id'].'.'.$image['mode'].'">
			        <img style="border: 0px" src="'.$image['url'].'" alt="'.$image['name'].'" width="'.$image['width'].'" height="'.$image['height'].'" alt="'.$image['name'].' ('.IGRA_012.')" />
			     </a>
			   </td>
			 </tr></table>';

		return $txt;
}
}

?>
